## org.codehaus.groovy.reflection
Class NumberCachedClass

Constructor Summary
`NumberCachedClass(Class klazz)`

Method Summary
`Object` | `coerceArgument(Object argument)`
`Object` | `coerceNumber(Object argument)`
`boolean` | `isAssignableFrom(Class classToTransformFrom)`

Constructor Detail

### NumberCachedClass

    public NumberCachedClass(Class klazz)

Method Detail

### coerceArgument

    public Object coerceArgument(Object argument)

### coerceNumber

    Object coerceNumber(Object argument)

### isAssignableFrom

    public boolean isAssignableFrom(Class classToTransformFrom)